package org.jeecg.modules.maintenanceWork.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.homePage.vo.ToDoDetailVO;
import org.jeecg.modules.maintenanceWork.dto.*;
import org.jeecg.modules.maintenanceWork.entity.WorkBatch;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.maintenanceWork.vo.WorkBatchVO;
import org.jeecg.modules.unitDevice.dto.CaseReportCheckDataDTO;
import org.jeecg.modules.unitDevice.dto.CaseReportWorkBatchDTO;
import org.jeecg.modules.unitDevice.vo.CaseReportCheckDataVO;
import org.jeecg.modules.unitDevice.vo.CaseReportWorkBatchVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 维修作业管理-作业计划批次管理表 服务类
 * </p>
 *
 * @author hkl
 * @since 2023-08-09
 */
public interface IWorkBatchService extends IService<WorkBatch> {

    Page<WorkBatchVO> listRecord(Page<WorkBatchVO> pageData, WorkBatchDTO dto);

    void saveRecord(WorkBatchSaveOrUpdateDTO dto);


    void deleteRecord(String id);

    void transfiniteSaveRecord(WorkBatchTransfiniteSaveDTO dto);


    Page<Map<String, Object>> getUnitDevicePage(Page<Map<String, Object>> pageData, UnitDeviceDTO dto);

    void batchSaveRecord(AnalysisBatchSaveDTO dto);

    Page<CaseReportWorkBatchVO> caseReportWorkBatch(Page<CaseReportWorkBatchVO> pageData, CaseReportWorkBatchDTO dto);

    List<ToDoDetailVO> getTodoList(String currentUserId);
}
